Skip site navigation (1) Skip section navigation (2)

Re: [HACKERS] now 6.4

From: Bruce Momjian <maillist(at)candle(dot)pha(dot)pa(dot)us>
To: scrappy(at)hub(dot)org (The Hermit Hacker)
Cc: dg(at)illustra(dot)com, hackers(at)postgreSQL(dot)org
Subject: Re: [HACKERS] now 6.4
Date: 1998-06-10 19:10:45
Message-ID: 199806101910.PAA02603@candle.pha.pa.us (view raw or flat)
Thread:
Lists: pgsql-hackers
> 
> On Wed, 10 Jun 1998, David Gould wrote:
> 
> > Bruce Momjian:
> > > PG_VERSION is now 6.4.  initdb everyone.  Or did we decide not to do
> > > this if we could help it.  I think we will still need to run initdb, and
> > > move the data files.
> > 
> > I had thought we were going to avoid changing this unless there were changes
> > to persistant structures. Do you know what changed to require this?
> 
> 	Huh?  PG_VERSION should reflect that which we release, so that ppl
> know what version they are running, for bug reports and whatnot...

It also requires the postmaster/postgres to match that version so they
can run.  PG_VERSION gets set at initdb time, so if we update it, we
basically require them to run initdb so it matches the
backend/postmaster version.

-- 
Bruce Momjian                          |  830 Blythe Avenue
maillist(at)candle(dot)pha(dot)pa(dot)us              |  Drexel Hill, Pennsylvania 19026
  +  If your life is a hard drive,     |  (610) 353-9879(w)
  +  Christ can be your backup.        |  (610) 853-3000(h)

In response to

pgsql-hackers by date

Next:From: Bruce MomjianDate: 1998-06-10 19:12:30
Subject: Re: [HACKERS] now 6.4
Previous:From: David GouldDate: 1998-06-10 19:06:42
Subject: Re: [HACKERS] now 6.4

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group